Documentation

Development

User Acquisition

Monetization

Industry

Vivox Unreal SDK

Vivox Unreal SDK

Vivox
​
​
Vivox Unreal SDK
  • Overview
  • Get started
  • Release notes
  • Developer guide
    • Set up your project
    • Unity Authentication Service in Unreal
    • Create voice and text channels
    • Messaging
    • Audio management
    • Muting
    • In-game moderation
    • Android app development
    • iOS app development
    • Server-side recording
      • Required permissions for Amazon S3 buckets
      • Subscribe API query parameters
      • Server-side recording decoder
      • Automatically end a server-side recording subscription
      • Server-side recording API usage examples
        • Make a channel history-only request
        • Make a speaker history-only request
        • Make a channel TTL-only request
        • Make a speaker TTL-only request
        • Make a channel history and TTL request
        • Make a speaker history and TTL request
        • Filter a channel by speaker
        • Filter a speaker by channel
    • Speech-to-text audio transcription
    • Text-to-speech
    • Real-time recording
    • Transmission
    • Troubleshooting
  • Tutorials
  • Reference
  1. Vivox Unreal SDK documentation

Filter a channel by speaker

Learn how to filter server-side recording request for a channel by speaker.
Read time 1 minute
Last updated 8 months ago

To subscribe to a channel and only record certain users, filter a channel subscription by passing a list of speakers in to the channel you want to subscribe to.
For example, if you have speakerA, speakerB, and speakerC in a channel, and you only want data from speakerA and speakerB, then you can filter those two users by passing them in to the filter_uris parameter, which excludes speakerC from the recording. The following code displays an example of how to filter for this scenario.
curl -x POSThttp://{{host}}/ssr/subscribe?auth_token={{auth_token}}&history=5&destination_credentials={"bucket":"bucket-name","access_key_id":"aws-access-id","secret_access_key":"aws-secret-key"}&target_uri=sip:confctl-g-.issuer.channel_name@domain.vivox.com&target_type=channel&ttl=5&filter_uris=["sip:.issuer.speakerA.@domain.vivox.com", "sip:.issuer.speakerB.@domain.vivox.com"]

Copyright © 2026 Unity Technologies
LegalPrivacy PolicyCookiesDocumentation Terms of UseDo Not Sell or Share My Personal InformationYour Privacy Choices (Cookie Settings)

"Unity", Unity logos, and other Unity trademarks are trademarks or registered trademarks of Unity Technologies or its affiliates in the U.S and elsewhere (more info here). Other names or brands are trademarks of their respective owners.

Some pages are machine-translated for convenience, and may contain inaccuracies. In the event of conflicting information, the English version is authoritative.


    Report a problem with this page
    ​
    ​